# HG changeset patch
# Node ID 42623d2804289b3d75cac6cdf39fe5ba162a4ea3
# Parent  3144fbeba3499d9f7f774b7b02801641c640b73e
diff --git a/libpurple/purpleaccount.c b/libpurple/purpleaccount.c
--- a/libpurple/purpleaccount.c
+++ b/libpurple/purpleaccount.c
@@ -114,8 +114,6 @@
 };
 static guint signals[N_SIGNALS] = {0, };
 
-G_DEFINE_FINAL_TYPE(PurpleAccount, purple_account, G_TYPE_OBJECT);
-
 /******************************************************************************
  * Helpers
  *****************************************************************************/
@@ -209,19 +207,19 @@
 	PurpleCredentialManager *manager = PURPLE_CREDENTIAL_MANAGER(obj);
 	PurpleAccount *account = PURPLE_ACCOUNT(data);
 	GError *error = NULL;
-	gchar *password = NULL;
+	char *password = NULL;
 
 	/* We stash the password on the account to get it to this call back... It's
 	 * kind of gross but shouldn't be a big deal because any plugin has access
 	 * to the credential store, so it's not really a security leak.
 	 */
-	password = (gchar *)g_object_get_data(G_OBJECT(account), "_tmp_password");
+	password = (char *)g_object_get_data(G_OBJECT(account), "_tmp_password");
 	g_object_set_data(G_OBJECT(account), "_tmp_password", NULL);
 
 	if(!purple_credential_manager_write_password_finish(manager, res, &error))
 	{
 		PurpleContactInfo *info = PURPLE_CONTACT_INFO(account);
-		const gchar *name = purple_contact_info_get_name_for_display(info);
+		const char *name = purple_contact_info_get_name_for_display(info);
 
 		/* we can't error an account without a connection, so we just drop a
 		 * debug message for now and continue to connect the account.
@@ -291,7 +289,7 @@
 	PurpleProtocol *protocol = NULL;
 	PurpleProtocolOptions options;
 	GError *error = NULL;
-	gchar *password = NULL;
+	char *password = NULL;
 	gboolean require_password = TRUE;
 
 	password = purple_credential_manager_read_password_finish(manager, res,
@@ -543,7 +541,7 @@
 PurpleXmlNode *
 _purple_account_to_xmlnode(PurpleAccount *account) {
 	PurpleXmlNode *node, *child;
-	gchar *data = NULL;
+	char *data = NULL;
 	const char *tmp;
 	PurpleProxyInfo *proxy_info;
 
@@ -602,6 +600,8 @@
 /******************************************************************************
  * GObject Implementation
  *****************************************************************************/
+G_DEFINE_FINAL_TYPE(PurpleAccount, purple_account, G_TYPE_OBJECT);
+
 static void
 purple_account_set_property(GObject *obj, guint param_id, const GValue *value,
                             GParamSpec *pspec)
@@ -792,8 +792,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_ID] = g_param_spec_string(
-		"id", "id",
-		"A unique identifier for the account.",
+		"id", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
 
@@ -805,8 +804,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_USERNAME] = g_param_spec_string(
-		"username", "username",
-		"The username for the account.",
+		"username", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT | G_PARAM_STATIC_STRINGS);
 
@@ -822,8 +820,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_CONTACT_INFO] = g_param_spec_object(
-		"contact-info", "contact-info",
-		"The contact info for the account.",
+		"contact-info", NULL, NULL,
 		PURPLE_TYPE_CONTACT_INFO,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
@@ -837,8 +834,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_REQUIRE_PASSWORD] = g_param_spec_boolean(
-		"require-password", "require-password",
-		"Whether or not to require a password for this account.",
+		"require-password", NULL, NULL,
 		FALSE,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -850,8 +846,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_USER_INFO] = g_param_spec_string(
-		"user-info", "user-info",
-		"Detailed user information for the account.",
+		"user-info", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -863,8 +858,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_BUDDY_ICON_PATH] = g_param_spec_string(
-		"buddy-icon-path", "buddy-icon-path",
-		"Path to the buddyicon for the account.",
+		"buddy-icon-path", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -876,8 +870,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_ENABLED] = g_param_spec_boolean(
-		"enabled", "enabled",
-		"Whether the account is enabled or not.",
+		"enabled", NULL, NULL,
 		FALSE,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -890,8 +883,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_REMEMBER_PASSWORD] = g_param_spec_boolean(
-		"remember-password", "remember-password",
-		"Whether to remember and store the password for this account.",
+		"remember-password", NULL, NULL,
 		FALSE,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -904,8 +896,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_CONNECTION] = g_param_spec_object(
-		"connection", "connection",
-		"The connection for the account.",
+		"connection", NULL, NULL,
 		PURPLE_TYPE_CONNECTION,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -917,8 +908,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_PROTOCOL_ID] = g_param_spec_string(
-		"protocol-id", "protocol-id",
-		"ID of the protocol that is responsible for the account.",
+		"protocol-id", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -930,8 +920,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_PROXY_INFO] = g_param_spec_object(
-		"proxy-info", "proxy-info",
-		"The PurpleProxyInfo for this account.",
+		"proxy-info", NULL, NULL,
 		PURPLE_TYPE_PROXY_INFO,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -948,8 +937,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_ERROR] = g_param_spec_boxed(
-		"error", "error",
-		"The connection error info of the account",
+		"error", NULL, NULL,
 		PURPLE_TYPE_CONNECTION_ERROR_INFO,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -961,8 +949,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_CONNECTED] = g_param_spec_boolean(
-		"connected", "connected",
-		"Whether or not the account is connected.",
+		"connected", NULL, NULL,
 		FALSE,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
@@ -1056,7 +1043,7 @@
  * Public API
  *****************************************************************************/
 PurpleAccount *
-purple_account_new(const gchar *username, const gchar *protocol_id) {
+purple_account_new(const char *username, const char *protocol_id) {
 	g_return_val_if_fail(username != NULL, NULL);
 	g_return_val_if_fail(protocol_id != NULL, NULL);
 
@@ -1193,8 +1180,8 @@
 purple_account_request_password(PurpleAccount *account, GCallback ok_cb,
                                 GCallback cancel_cb, void *user_data)
 {
-	gchar *primary;
-	const gchar *username;
+	char *primary;
+	const char *username;
 	PurpleRequestGroup *group;
 	PurpleRequestField *field;
 	PurpleRequestPage *page;
diff --git a/libpurple/purpleaccountmanager.h b/libpurple/purpleaccountmanager.h
--- a/libpurple/purpleaccountmanager.h
+++ b/libpurple/purpleaccountmanager.h
@@ -175,7 +175,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-PurpleAccount *purple_account_manager_find_by_id(PurpleAccountManager *manager, const gchar *id);
+PurpleAccount *purple_account_manager_find_by_id(PurpleAccountManager *manager, const char *id);
 
 /**
  * purple_account_manager_find:
@@ -191,7 +191,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-PurpleAccount *purple_account_manager_find(PurpleAccountManager *manager, const gchar *username, const gchar *protocol_id);
+PurpleAccount *purple_account_manager_find(PurpleAccountManager *manager, const char *username, const char *protocol_id);
 
 /**
  * purple_account_manager_find_custom:
diff --git a/libpurple/purpleaccountmanager.c b/libpurple/purpleaccountmanager.c
--- a/libpurple/purpleaccountmanager.c
+++ b/libpurple/purpleaccountmanager.c
@@ -238,8 +238,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_ITEM_TYPE] = g_param_spec_gtype(
-		"item-type", "item-type",
-		"The type of the contained items.",
+		"item-type", NULL, NULL,
 		G_TYPE_OBJECT,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
@@ -251,8 +250,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_N_ITEMS] = g_param_spec_uint(
-		"n-items", "n-items",
-		"The number of contained items.",
+		"n-items", NULL, NULL,
 		0, G_MAXUINT, 0,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
@@ -274,8 +272,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_ONLINE] = g_param_spec_boolean(
-		"online", "online",
-		"Whether or not known accounts are online or offline.",
+		"online", NULL, NULL,
 		FALSE,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -648,7 +645,7 @@
 
 PurpleAccount *
 purple_account_manager_find_by_id(PurpleAccountManager *manager,
-                                  const gchar *id)
+                                  const char *id)
 {
 	g_return_val_if_fail(PURPLE_IS_ACCOUNT_MANAGER(manager), NULL);
 	g_return_val_if_fail(id != NULL, NULL);
diff --git a/libpurple/purpleaccountoption.h b/libpurple/purpleaccountoption.h
--- a/libpurple/purpleaccountoption.h
+++ b/libpurple/purpleaccountoption.h
@@ -68,7 +68,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-PurpleAccountOption *purple_account_option_new(PurplePrefType type, const gchar *text, const gchar *pref_name);
+PurpleAccountOption *purple_account_option_new(PurplePrefType type, const char *text, const char *pref_name);
 
 /**
  * purple_account_option_copy:
@@ -96,7 +96,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-PurpleAccountOption *purple_account_option_bool_new(const gchar *text, const gchar *pref_name, gboolean default_value);
+PurpleAccountOption *purple_account_option_bool_new(const char *text, const char *pref_name, gboolean default_value);
 
 /**
  * purple_account_option_int_new:
@@ -111,7 +111,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-PurpleAccountOption *purple_account_option_int_new(const gchar *text, const gchar *pref_name, gint default_value);
+PurpleAccountOption *purple_account_option_int_new(const char *text, const char *pref_name, int default_value);
 
 /**
  * purple_account_option_string_new:
@@ -126,7 +126,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-PurpleAccountOption *purple_account_option_string_new(const gchar *text, const gchar *pref_name, const gchar *default_value);
+PurpleAccountOption *purple_account_option_string_new(const char *text, const char *pref_name, const char *default_value);
 
 /**
  * purple_account_option_list_new:
@@ -149,7 +149,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-PurpleAccountOption *purple_account_option_list_new(const gchar *text, const gchar *pref_name, GList *list);
+PurpleAccountOption *purple_account_option_list_new(const char *text, const char *pref_name, GList *list);
 
 /**
  * purple_account_option_destroy:
@@ -184,7 +184,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-void purple_account_option_set_default_int(PurpleAccountOption *option, gint value);
+void purple_account_option_set_default_int(PurpleAccountOption *option, int value);
 
 /**
  * purple_account_option_set_default_string:
@@ -196,7 +196,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-void purple_account_option_set_default_string(PurpleAccountOption *option, const gchar *value);
+void purple_account_option_set_default_string(PurpleAccountOption *option, const char *value);
 
 /**
  * purple_account_option_string_set_masked:
@@ -257,7 +257,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-void purple_account_option_add_list_item(PurpleAccountOption *option, const gchar *key, const gchar *value);
+void purple_account_option_add_list_item(PurpleAccountOption *option, const char *key, const char *value);
 
 /**
  * purple_account_option_get_pref_type:
@@ -283,7 +283,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-const gchar *purple_account_option_get_text(const PurpleAccountOption *option);
+const char *purple_account_option_get_text(const PurpleAccountOption *option);
 
 /**
  * purple_account_option_get_setting:
@@ -298,7 +298,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-const gchar *purple_account_option_get_setting(const PurpleAccountOption *option);
+const char *purple_account_option_get_setting(const PurpleAccountOption *option);
 
 /**
  * purple_account_option_get_default_bool:
@@ -324,7 +324,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-gint purple_account_option_get_default_int(const PurpleAccountOption *option);
+int purple_account_option_get_default_int(const PurpleAccountOption *option);
 
 /**
  * purple_account_option_get_default_string:
@@ -337,7 +337,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-const gchar *purple_account_option_get_default_string(const PurpleAccountOption *option);
+const char *purple_account_option_get_default_string(const PurpleAccountOption *option);
 
 /**
  * purple_account_option_get_default_list_value:
@@ -350,7 +350,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-const gchar *purple_account_option_get_default_list_value(const PurpleAccountOption *option);
+const char *purple_account_option_get_default_list_value(const PurpleAccountOption *option);
 
 /**
  * purple_account_option_string_get_masked:
diff --git a/libpurple/purpleaccountoption.c b/libpurple/purpleaccountoption.c
--- a/libpurple/purpleaccountoption.c
+++ b/libpurple/purpleaccountoption.c
@@ -34,14 +34,14 @@
 {
 	PurplePrefType type;    /* The type of value.                     */
 
-	gchar *text;            /* The text that will appear to the user. */
-	gchar *pref_name;       /* The name of the associated preference. */
+	char *text;            /* The text that will appear to the user. */
+	char *pref_name;       /* The name of the associated preference. */
 
 	union
 	{
 		gboolean boolean;   /* The default boolean value.             */
-		gint integer;       /* The default integer value.             */
-		gchar *string;      /* The default string value.              */
+		int integer;       /* The default integer value.             */
+		char *string;      /* The default string value.              */
 		GList *list;        /* The default list value.                */
 
 	} default_value;
diff --git a/libpurple/purpleaccountusersplit.h b/libpurple/purpleaccountusersplit.h
--- a/libpurple/purpleaccountusersplit.h
+++ b/libpurple/purpleaccountusersplit.h
@@ -64,7 +64,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-PurpleAccountUserSplit *purple_account_user_split_new(const gchar *text, const gchar *default_value, gchar sep);
+PurpleAccountUserSplit *purple_account_user_split_new(const char *text, const char *default_value, char sep);
 
 /**
  * purple_account_user_split_copy:
@@ -101,7 +101,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-const gchar *purple_account_user_split_get_text(PurpleAccountUserSplit *split);
+const char *purple_account_user_split_get_text(PurpleAccountUserSplit *split);
 
 /**
  * purple_account_user_split_get_default_value:
@@ -114,7 +114,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-const gchar *purple_account_user_split_get_default_value(PurpleAccountUserSplit *split);
+const char *purple_account_user_split_get_default_value(PurpleAccountUserSplit *split);
 
 /**
  * purple_account_user_split_get_separator:
@@ -127,7 +127,7 @@
  * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
-gchar purple_account_user_split_get_separator(PurpleAccountUserSplit *split);
+char purple_account_user_split_get_separator(PurpleAccountUserSplit *split);
 
 /**
  * purple_account_user_split_get_reverse:
diff --git a/libpurple/purpleaccountusersplit.c b/libpurple/purpleaccountusersplit.c
--- a/libpurple/purpleaccountusersplit.c
+++ b/libpurple/purpleaccountusersplit.c
@@ -26,9 +26,9 @@
  * Structs
  *****************************************************************************/
 struct _PurpleAccountUserSplit {
-	gchar *text;
-	gchar *default_value;
-	gchar  field_sep;
+	char *text;
+	char *default_value;
+	char  field_sep;
 	gboolean reverse;
 	gboolean constant;
 };
@@ -44,7 +44,7 @@
 );
 
 PurpleAccountUserSplit *
-purple_account_user_split_new(const gchar *text, const gchar *default_value, gchar sep)
+purple_account_user_split_new(const char *text, const char *default_value, char sep)
 {
 	PurpleAccountUserSplit *split;
 
@@ -84,7 +84,7 @@
 	g_free(split);
 }
 
-const gchar *
+const char *
 purple_account_user_split_get_text(PurpleAccountUserSplit *split)
 {
 	g_return_val_if_fail(split != NULL, NULL);
@@ -92,7 +92,7 @@
 	return split->text;
 }
 
-const gchar *
+const char *
 purple_account_user_split_get_default_value(PurpleAccountUserSplit *split)
 {
 	g_return_val_if_fail(split != NULL, NULL);
diff --git a/libpurple/purpleaddcontactrequest.h b/libpurple/purpleaddcontactrequest.h
--- a/libpurple/purpleaddcontactrequest.h
+++ b/libpurple/purpleaddcontactrequest.h
@@ -65,7 +65,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-PurpleAddContactRequest *purple_add_contact_request_new(PurpleAccount *account, const gchar *username);
+PurpleAddContactRequest *purple_add_contact_request_new(PurpleAccount *account, const char *username);
 
 /**
  * purple_add_contact_request_get_account:
@@ -91,7 +91,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_add_contact_request_get_username(PurpleAddContactRequest *request);
+const char *purple_add_contact_request_get_username(PurpleAddContactRequest *request);
 
 /**
  * purple_add_contact_request_set_alias:
@@ -104,7 +104,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-void purple_add_contact_request_set_alias(PurpleAddContactRequest *request, const gchar *alias);
+void purple_add_contact_request_set_alias(PurpleAddContactRequest *request, const char *alias);
 
 /**
  * purple_add_contact_request_get_alias:
@@ -117,7 +117,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_add_contact_request_get_alias(PurpleAddContactRequest *request);
+const char *purple_add_contact_request_get_alias(PurpleAddContactRequest *request);
 
 /**
  * purple_add_contact_request_set_message:
@@ -130,7 +130,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-void purple_add_contact_request_set_message(PurpleAddContactRequest *request, const gchar *message);
+void purple_add_contact_request_set_message(PurpleAddContactRequest *request, const char *message);
 
 /**
  * purple_add_contact_request_get_message:
@@ -143,7 +143,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_add_contact_request_get_message(PurpleAddContactRequest *request);
+const char *purple_add_contact_request_get_message(PurpleAddContactRequest *request);
 
 /**
  * purple_add_contact_request_add:
diff --git a/libpurple/purpleaddcontactrequest.c b/libpurple/purpleaddcontactrequest.c
--- a/libpurple/purpleaddcontactrequest.c
+++ b/libpurple/purpleaddcontactrequest.c
@@ -27,9 +27,9 @@
 
 	PurpleAccount *account;
 
-	gchar *username;
-	gchar *alias;
-	gchar *message;
+	char *username;
+	char *alias;
+	char *message;
 
 	/* This tracks whether add has been called. */
 	gboolean handled;
@@ -51,9 +51,6 @@
 };
 static GParamSpec *properties[N_PROPERTIES] = {NULL, };
 
-G_DEFINE_FINAL_TYPE(PurpleAddContactRequest, purple_add_contact_request,
-                    G_TYPE_OBJECT)
-
 /******************************************************************************
  * Helpers
  *****************************************************************************/
@@ -71,7 +68,7 @@
 
 static void
 purple_add_contact_request_set_username(PurpleAddContactRequest *request,
-                                        const gchar *username)
+                                        const char *username)
 {
 	g_return_if_fail(PURPLE_IS_ADD_CONTACT_REQUEST(request));
 
@@ -83,6 +80,9 @@
 /******************************************************************************
  * GObject Implementation
  *****************************************************************************/
+G_DEFINE_FINAL_TYPE(PurpleAddContactRequest, purple_add_contact_request,
+                    G_TYPE_OBJECT)
+
 static void
 purple_add_contact_request_get_property(GObject *obj, guint param_id,
                                         GValue *value, GParamSpec *pspec)
@@ -90,25 +90,25 @@
 	PurpleAddContactRequest *request = PURPLE_ADD_CONTACT_REQUEST(obj);
 
 	switch(param_id) {
-		case PROP_ACCOUNT:
-			g_value_set_object(value,
-			                   purple_add_contact_request_get_account(request));
-			break;
-		case PROP_USERNAME:
-			g_value_set_string(value,
-			                   purple_add_contact_request_get_username(request));
-			break;
-		case PROP_ALIAS:
-			g_value_set_string(value,
-			                   purple_add_contact_request_get_alias(request));
-			break;
-		case PROP_MESSAGE:
-			g_value_set_string(value,
-			                   purple_add_contact_request_get_message(request));
-			break;
-		default:
-			G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
-			break;
+	case PROP_ACCOUNT:
+		g_value_set_object(value,
+		                   purple_add_contact_request_get_account(request));
+		break;
+	case PROP_USERNAME:
+		g_value_set_string(value,
+		                   purple_add_contact_request_get_username(request));
+		break;
+	case PROP_ALIAS:
+		g_value_set_string(value,
+		                   purple_add_contact_request_get_alias(request));
+		break;
+	case PROP_MESSAGE:
+		g_value_set_string(value,
+		                   purple_add_contact_request_get_message(request));
+		break;
+	default:
+		G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
+		break;
 	}
 }
 
@@ -120,25 +120,25 @@
 	PurpleAddContactRequest *request = PURPLE_ADD_CONTACT_REQUEST(obj);
 
 	switch(param_id) {
-		case PROP_ACCOUNT:
-			purple_add_contact_request_set_account(request,
-			                                       g_value_get_object(value));
-			break;
-		case PROP_USERNAME:
-			purple_add_contact_request_set_username(request,
-			                                        g_value_get_string(value));
-			break;
-		case PROP_ALIAS:
-			purple_add_contact_request_set_alias(request,
-			                                     g_value_get_string(value));
-			break;
-		case PROP_MESSAGE:
-			purple_add_contact_request_set_message(request,
-			                                       g_value_get_string(value));
-			break;
-		default:
-			G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
-			break;
+	case PROP_ACCOUNT:
+		purple_add_contact_request_set_account(request,
+		                                       g_value_get_object(value));
+		break;
+	case PROP_USERNAME:
+		purple_add_contact_request_set_username(request,
+		                                        g_value_get_string(value));
+		break;
+	case PROP_ALIAS:
+		purple_add_contact_request_set_alias(request,
+		                                     g_value_get_string(value));
+		break;
+	case PROP_MESSAGE:
+		purple_add_contact_request_set_message(request,
+		                                       g_value_get_string(value));
+		break;
+	default:
+		G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
+		break;
 	}
 }
 
@@ -178,6 +178,56 @@
 	obj_class->finalize = purple_add_contact_request_finalize;
 
 	/**
+	 * PurpleAddContactRequest:account:
+	 *
+	 * The account that this add contact request is for.
+	 *
+	 * Since: 3.0
+	 */
+	properties[PROP_ACCOUNT] = g_param_spec_object(
+		"account", NULL, NULL,
+		PURPLE_TYPE_ACCOUNT,
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
+
+	/**
+	 * PurpleAddContactRequest:username:
+	 *
+	 * The username of the remote user to be added.
+	 *
+	 * Since: 3.0
+	 */
+	properties[PROP_USERNAME] = g_param_spec_string(
+		"username", NULL, NULL,
+		NULL,
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
+
+	/**
+	 * PurpleAddContactRequest:alias:
+	 *
+	 * The alias of the remote user to be added.
+	 *
+	 * Since: 3.0
+	 */
+	properties[PROP_ALIAS] = g_param_spec_string(
+		"alias", NULL, NULL,
+		NULL,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+
+	/**
+	 * PurpleAddContactRequest:message:
+	 *
+	 * The optional message sent from the remote user.
+	 *
+	 * Since: 3.0
+	 */
+	properties[PROP_MESSAGE] = g_param_spec_string(
+		"message", NULL, NULL,
+		NULL,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+
+	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
+
+	/**
 	 * PurpleAddContactRequest::add:
 	 * @request: The [class@AddContactRequest] instance.
 	 *
@@ -197,67 +247,13 @@
 		NULL,
 		G_TYPE_NONE,
 		0);
-
-	/**
-	 * PurpleAddContactRequest:account:
-	 *
-	 * The account that this add contact request is for.
-	 *
-	 * Since: 3.0
-	 */
-	properties[PROP_ACCOUNT] = g_param_spec_object(
-		"account", "account",
-		"The account for this authorization request",
-		PURPLE_TYPE_ACCOUNT,
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
-
-	/**
-	 * PurpleAddContactRequest:username:
-	 *
-	 * The username of the remote user to be added.
-	 *
-	 * Since: 3.0
-	 */
-	properties[PROP_USERNAME] = g_param_spec_string(
-		"username", "username",
-		"The username of the remote user to be added.",
-		NULL,
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
-
-	/**
-	 * PurpleAddContactRequest:alias:
-	 *
-	 * The alias of the remote user to be added.
-	 *
-	 * Since: 3.0
-	 */
-	properties[PROP_ALIAS] = g_param_spec_string(
-		"alias", "alias",
-		"The alias of the remote user to be added.",
-		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
-
-	/**
-	 * PurpleAddContactRequest:message:
-	 *
-	 * The optional message sent from the remote user.
-	 *
-	 * Since: 3.0
-	 */
-	properties[PROP_MESSAGE] = g_param_spec_string(
-		"message", "message",
-		"The optional message sent by the remote user",
-		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
-
-	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
 }
 
 /******************************************************************************
  * Public API
  *****************************************************************************/
 PurpleAddContactRequest *
-purple_add_contact_request_new(PurpleAccount *account, const gchar *username) {
+purple_add_contact_request_new(PurpleAccount *account, const char *username) {
 	g_return_val_if_fail(PURPLE_IS_ACCOUNT(account), NULL);
 	g_return_val_if_fail(username != NULL, NULL);
 
@@ -275,7 +271,7 @@
 	return request->account;
 }
 
-const gchar *
+const char *
 purple_add_contact_request_get_username(PurpleAddContactRequest *request) {
 	g_return_val_if_fail(PURPLE_IS_ADD_CONTACT_REQUEST(request), NULL);
 
@@ -284,7 +280,7 @@
 
 void
 purple_add_contact_request_set_alias(PurpleAddContactRequest *request,
-                                     const gchar *alias)
+                                     const char *alias)
 {
 	g_return_if_fail(PURPLE_IS_ADD_CONTACT_REQUEST(request));
 
@@ -293,7 +289,7 @@
 	}
 }
 
-const gchar *
+const char *
 purple_add_contact_request_get_alias(PurpleAddContactRequest *request) {
 	g_return_val_if_fail(PURPLE_IS_ADD_CONTACT_REQUEST(request), NULL);
 
@@ -302,7 +298,7 @@
 
 void
 purple_add_contact_request_set_message(PurpleAddContactRequest *request,
-                                       const gchar *message)
+                                       const char *message)
 {
 	g_return_if_fail(PURPLE_IS_ADD_CONTACT_REQUEST(request));
 
@@ -311,7 +307,7 @@
 	}
 }
 
-const gchar *
+const char *
 purple_add_contact_request_get_message(PurpleAddContactRequest *request) {
 	g_return_val_if_fail(PURPLE_IS_ADD_CONTACT_REQUEST(request), NULL);
 
diff --git a/libpurple/purpleattachment.h b/libpurple/purpleattachment.h
--- a/libpurple/purpleattachment.h
+++ b/libpurple/purpleattachment.h
@@ -69,7 +69,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-PurpleAttachment *purple_attachment_new(guint64 id, const gchar *content_type);
+PurpleAttachment *purple_attachment_new(guint64 id, const char *content_type);
 
 /**
  * purple_attachment_get_id:
@@ -122,7 +122,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_attachment_get_content_type(PurpleAttachment *attachment);
+const char *purple_attachment_get_content_type(PurpleAttachment *attachment);
 
 /**
  * purple_attachment_get_local_uri:
@@ -135,7 +135,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_attachment_get_local_uri(PurpleAttachment *attachment);
+const char *purple_attachment_get_local_uri(PurpleAttachment *attachment);
 
 /**
  * purple_attachment_set_local_uri:
@@ -147,7 +147,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-void purple_attachment_set_local_uri(PurpleAttachment *attachment, const gchar *local_uri);
+void purple_attachment_set_local_uri(PurpleAttachment *attachment, const char *local_uri);
 
 /**
  * purple_attachment_get_remote_uri:
@@ -160,7 +160,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_attachment_get_remote_uri(PurpleAttachment *attachment);
+const char *purple_attachment_get_remote_uri(PurpleAttachment *attachment);
 
 /**
  * purple_attachment_set_remote_uri:
@@ -172,7 +172,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-void purple_attachment_set_remote_uri(PurpleAttachment *attachment, const gchar *remote_uri);
+void purple_attachment_set_remote_uri(PurpleAttachment *attachment, const char *remote_uri);
 
 /**
  * purple_attachment_get_size:
@@ -211,7 +211,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-gchar *purple_attachment_get_filename(PurpleAttachment *attachment);
+char *purple_attachment_get_filename(PurpleAttachment *attachment);
 
 G_END_DECLS
 
diff --git a/libpurple/purpleattachment.c b/libpurple/purpleattachment.c
--- a/libpurple/purpleattachment.c
+++ b/libpurple/purpleattachment.c
@@ -28,16 +28,14 @@
 	GObject parent;
 
 	guint64 id;
-	gchar *content_type;
+	char *content_type;
 
-	gchar *local_uri;
-	gchar *remote_uri;
+	char *local_uri;
+	char *remote_uri;
 
 	guint64 size;
 };
 
-G_DEFINE_FINAL_TYPE(PurpleAttachment, purple_attachment, G_TYPE_OBJECT);
-
 enum {
 	PROP_0 = 0,
 	PROP_ID,
@@ -54,7 +52,7 @@
  *****************************************************************************/
 static void
 purple_attachment_set_content_type(PurpleAttachment *attachment,
-                                    const gchar *content_type)
+                                   const char *content_type)
 {
 	if(g_set_str(&attachment->content_type, content_type)) {
 		g_object_notify_by_pspec(G_OBJECT(attachment),
@@ -65,55 +63,65 @@
 /******************************************************************************
  * GObject Implementation
  *****************************************************************************/
+G_DEFINE_FINAL_TYPE(PurpleAttachment, purple_attachment, G_TYPE_OBJECT);
+
 static void
-purple_attachment_get_property(GObject *obj, guint prop_id, GValue *value, GParamSpec *pspec) {
+purple_attachment_get_property(GObject *obj, guint prop_id, GValue *value,
+                               GParamSpec *pspec)
+{
 	PurpleAttachment *attachment = PURPLE_ATTACHMENT(obj);
 
 	switch(prop_id) {
-		case PROP_ID:
-			g_value_set_uint64(value, purple_attachment_get_id(attachment));
-			break;
-		case PROP_CONTENT_TYPE:
-			g_value_set_string(value, purple_attachment_get_content_type(attachment));
-			break;
-		case PROP_LOCAL_URI:
-			g_value_set_string(value, purple_attachment_get_local_uri(attachment));
-			break;
-		case PROP_REMOTE_URI:
-			g_value_set_string(value, purple_attachment_get_remote_uri(attachment));
-			break;
-		case PROP_SIZE:
-			g_value_set_uint64(value, purple_attachment_get_size(attachment));
-			break;
-		default:
-			G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, prop_id, pspec);
-			break;
+	case PROP_ID:
+		g_value_set_uint64(value, purple_attachment_get_id(attachment));
+		break;
+	case PROP_CONTENT_TYPE:
+		g_value_set_string(value,
+		                   purple_attachment_get_content_type(attachment));
+		break;
+	case PROP_LOCAL_URI:
+		g_value_set_string(value, purple_attachment_get_local_uri(attachment));
+		break;
+	case PROP_REMOTE_URI:
+		g_value_set_string(value,
+		                   purple_attachment_get_remote_uri(attachment));
+		break;
+	case PROP_SIZE:
+		g_value_set_uint64(value, purple_attachment_get_size(attachment));
+		break;
+	default:
+		G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, prop_id, pspec);
+		break;
 	}
 }
 
 static void
-purple_attachment_set_property(GObject *obj, guint prop_id, const GValue *value, GParamSpec *pspec) {
+purple_attachment_set_property(GObject *obj, guint prop_id,
+                               const GValue *value, GParamSpec *pspec)
+{
 	PurpleAttachment *attachment = PURPLE_ATTACHMENT(obj);
 
 	switch(prop_id) {
-		case PROP_ID:
-			purple_attachment_set_id(attachment, g_value_get_uint64(value));
-			break;
-		case PROP_CONTENT_TYPE:
-			purple_attachment_set_content_type(attachment, g_value_get_string(value));
-			break;
-		case PROP_LOCAL_URI:
-			purple_attachment_set_local_uri(attachment, g_value_get_string(value));
-			break;
-		case PROP_REMOTE_URI:
-			purple_attachment_set_remote_uri(attachment, g_value_get_string(value));
-			break;
-		case PROP_SIZE:
-			purple_attachment_set_size(attachment, g_value_get_uint64(value));
-			break;
-		default:
-			G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, prop_id, pspec);
-			break;
+	case PROP_ID:
+		purple_attachment_set_id(attachment, g_value_get_uint64(value));
+		break;
+	case PROP_CONTENT_TYPE:
+		purple_attachment_set_content_type(attachment,
+		                                   g_value_get_string(value));
+		break;
+	case PROP_LOCAL_URI:
+		purple_attachment_set_local_uri(attachment, g_value_get_string(value));
+		break;
+	case PROP_REMOTE_URI:
+		purple_attachment_set_remote_uri(attachment,
+		                                 g_value_get_string(value));
+		break;
+	case PROP_SIZE:
+		purple_attachment_set_size(attachment, g_value_get_uint64(value));
+		break;
+	default:
+		G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, prop_id, pspec);
+		break;
 	}
 }
 
@@ -148,8 +156,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_ID] = g_param_spec_uint64(
-		"id", "id",
-		"The identifier of the attachment.",
+		"id", NULL, NULL,
 		0, G_MAXUINT64, 0,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -162,8 +169,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_CONTENT_TYPE] = g_param_spec_string(
-		"content-type", "content-type",
-		"The content type of the attachment.",
+		"content-type", NULL, NULL,
 		"application/octet-stream",
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -176,8 +182,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_LOCAL_URI] = g_param_spec_string(
-		"local-uri", "local-uri",
-		"The local URI of the attachment.",
+		"local-uri", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -190,8 +195,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_REMOTE_URI] = g_param_spec_string(
-		"remote-uri", "remote-uri",
-		"The remote URI of the attachment.",
+		"remote-uri", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -203,8 +207,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_SIZE] = g_param_spec_uint64(
-		"size", "size",
-		"The file size of the attachment in bytes.",
+		"size", NULL, NULL,
 		0, G_MAXUINT64, 0,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -214,9 +217,8 @@
 /******************************************************************************
  * Public API
  *****************************************************************************/
-
 PurpleAttachment *
-purple_attachment_new(guint64 id, const gchar *content_type) {
+purple_attachment_new(guint64 id, const char *content_type) {
 	g_return_val_if_fail(content_type != NULL, NULL);
 
 	return g_object_new(
@@ -253,14 +255,14 @@
 	g_object_notify_by_pspec(G_OBJECT(attachment), properties[PROP_ID]);
 }
 
-const gchar *
+const char *
 purple_attachment_get_content_type(PurpleAttachment *attachment) {
 	g_return_val_if_fail(PURPLE_IS_ATTACHMENT(attachment), NULL);
 
 	return attachment->content_type;
 }
 
-const gchar *
+const char *
 purple_attachment_get_local_uri(PurpleAttachment *attachment) {
 	g_return_val_if_fail(PURPLE_IS_ATTACHMENT(attachment), NULL);
 
@@ -269,7 +271,7 @@
 
 void
 purple_attachment_set_local_uri(PurpleAttachment *attachment,
-                                 const gchar *local_uri)
+                                const char *local_uri)
 {
 	g_return_if_fail(PURPLE_IS_ATTACHMENT(attachment));
 
@@ -280,7 +282,7 @@
 	g_free(attachment->local_uri);
 
 	if(local_uri != NULL) {
-		gchar *scheme = g_uri_parse_scheme(local_uri);
+		char *scheme = g_uri_parse_scheme(local_uri);
 		if(scheme == NULL) {
 			attachment->local_uri = g_filename_to_uri(local_uri, NULL, NULL);
 		} else {
@@ -294,7 +296,7 @@
 	g_object_notify_by_pspec(G_OBJECT(attachment), properties[PROP_LOCAL_URI]);
 }
 
-const gchar *
+const char *
 purple_attachment_get_remote_uri(PurpleAttachment *attachment) {
 	g_return_val_if_fail(PURPLE_IS_ATTACHMENT(attachment), NULL);
 
@@ -303,7 +305,7 @@
 
 void
 purple_attachment_set_remote_uri(PurpleAttachment *attachment,
-                                  const gchar *remote_uri)
+                                 const char *remote_uri)
 {
 	g_return_if_fail(PURPLE_IS_ATTACHMENT(attachment));
 
@@ -329,7 +331,7 @@
 	g_object_notify_by_pspec(G_OBJECT(attachment), properties[PROP_SIZE]);
 }
 
-gchar *
+char *
 purple_attachment_get_filename(PurpleAttachment *attachment) {
 	g_return_val_if_fail(PURPLE_IS_ATTACHMENT(attachment), NULL);
 
diff --git a/libpurple/purpleauthorizationrequest.h b/libpurple/purpleauthorizationrequest.h
--- a/libpurple/purpleauthorizationrequest.h
+++ b/libpurple/purpleauthorizationrequest.h
@@ -65,7 +65,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-PurpleAuthorizationRequest *purple_authorization_request_new(PurpleAccount *account, const gchar *username);
+PurpleAuthorizationRequest *purple_authorization_request_new(PurpleAccount *account, const char *username);
 
 /**
  * purple_authorization_request_get_account:
@@ -91,7 +91,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_authorization_request_get_username(PurpleAuthorizationRequest *request);
+const char *purple_authorization_request_get_username(PurpleAuthorizationRequest *request);
 
 /**
  * purple_authorization_request_set_alias:
@@ -104,7 +104,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-void purple_authorization_request_set_alias(PurpleAuthorizationRequest *request, const gchar *alias);
+void purple_authorization_request_set_alias(PurpleAuthorizationRequest *request, const char *alias);
 
 /**
  * purple_authorization_request_get_alias:
@@ -117,7 +117,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_authorization_request_get_alias(PurpleAuthorizationRequest *request);
+const char *purple_authorization_request_get_alias(PurpleAuthorizationRequest *request);
 
 /**
  * purple_authorization_request_set_message:
@@ -130,7 +130,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-void purple_authorization_request_set_message(PurpleAuthorizationRequest *request, const gchar *message);
+void purple_authorization_request_set_message(PurpleAuthorizationRequest *request, const char *message);
 
 /**
  * purple_authorization_request_get_message:
@@ -143,7 +143,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-const gchar *purple_authorization_request_get_message(PurpleAuthorizationRequest *request);
+const char *purple_authorization_request_get_message(PurpleAuthorizationRequest *request);
 
 /**
  * purple_authorization_request_set_add:
@@ -202,7 +202,7 @@
  * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
-void purple_authorization_request_deny(PurpleAuthorizationRequest *request, const gchar *message);
+void purple_authorization_request_deny(PurpleAuthorizationRequest *request, const char *message);
 
 G_END_DECLS
 
diff --git a/libpurple/purpleauthorizationrequest.c b/libpurple/purpleauthorizationrequest.c
--- a/libpurple/purpleauthorizationrequest.c
+++ b/libpurple/purpleauthorizationrequest.c
@@ -27,9 +27,9 @@
 
 	PurpleAccount *account;
 
-	gchar *username;
-	gchar *alias;
-	gchar *message;
+	char *username;
+	char *alias;
+	char *message;
 	gboolean add;
 
 	/* This tracks whether _accept or _deny have been called. */
@@ -54,9 +54,6 @@
 };
 static GParamSpec *properties[N_PROPERTIES] = {NULL, };
 
-G_DEFINE_FINAL_TYPE(PurpleAuthorizationRequest, purple_authorization_request,
-                    G_TYPE_OBJECT)
-
 /******************************************************************************
  * Helpers
  *****************************************************************************/
@@ -74,7 +71,7 @@
 
 static void
 purple_authorization_request_set_username(PurpleAuthorizationRequest *request,
-                                          const gchar *username)
+                                          const char *username)
 {
 	g_return_if_fail(PURPLE_IS_AUTHORIZATION_REQUEST(request));
 
@@ -86,6 +83,9 @@
 /******************************************************************************
  * GObject Implementation
  *****************************************************************************/
+G_DEFINE_FINAL_TYPE(PurpleAuthorizationRequest, purple_authorization_request,
+                    G_TYPE_OBJECT)
+
 static void
 purple_authorization_request_get_property(GObject *obj, guint param_id,
                                           GValue *value, GParamSpec *pspec)
@@ -93,29 +93,29 @@
 	PurpleAuthorizationRequest *request = PURPLE_AUTHORIZATION_REQUEST(obj);
 
 	switch(param_id) {
-		case PROP_ACCOUNT:
-			g_value_set_object(value,
-			                   purple_authorization_request_get_account(request));
-			break;
-		case PROP_USERNAME:
-			g_value_set_string(value,
-			                   purple_authorization_request_get_username(request));
-			break;
-		case PROP_ALIAS:
-			g_value_set_string(value,
-			                   purple_authorization_request_get_alias(request));
-			break;
-		case PROP_MESSAGE:
-			g_value_set_string(value,
-			                   purple_authorization_request_get_message(request));
-			break;
-		case PROP_ADD:
-			g_value_set_boolean(value,
-			                    purple_authorization_request_get_add(request));
-			break;
-		default:
-			G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
-			break;
+	case PROP_ACCOUNT:
+		g_value_set_object(value,
+		                   purple_authorization_request_get_account(request));
+		break;
+	case PROP_USERNAME:
+		g_value_set_string(value,
+		                   purple_authorization_request_get_username(request));
+		break;
+	case PROP_ALIAS:
+		g_value_set_string(value,
+		                   purple_authorization_request_get_alias(request));
+		break;
+	case PROP_MESSAGE:
+		g_value_set_string(value,
+		                   purple_authorization_request_get_message(request));
+		break;
+	case PROP_ADD:
+		g_value_set_boolean(value,
+		                    purple_authorization_request_get_add(request));
+		break;
+	default:
+		G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
+		break;
 	}
 }
 
@@ -127,29 +127,29 @@
 	PurpleAuthorizationRequest *request = PURPLE_AUTHORIZATION_REQUEST(obj);
 
 	switch(param_id) {
-		case PROP_ACCOUNT:
-			purple_authorization_request_set_account(request,
-			                                         g_value_get_object(value));
-			break;
-		case PROP_USERNAME:
-			purple_authorization_request_set_username(request,
-			                                          g_value_get_string(value));
-			break;
-		case PROP_ALIAS:
-			purple_authorization_request_set_alias(request,
-			                                       g_value_get_string(value));
-			break;
-		case PROP_MESSAGE:
-			purple_authorization_request_set_message(request,
-			                                         g_value_get_string(value));
-			break;
-		case PROP_ADD:
-			purple_authorization_request_set_add(request,
-			                                     g_value_get_boolean(value));
-			break;
-		default:
-			G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
-			break;
+	case PROP_ACCOUNT:
+		purple_authorization_request_set_account(request,
+		                                         g_value_get_object(value));
+		break;
+	case PROP_USERNAME:
+		purple_authorization_request_set_username(request,
+		                                          g_value_get_string(value));
+		break;
+	case PROP_ALIAS:
+		purple_authorization_request_set_alias(request,
+		                                       g_value_get_string(value));
+		break;
+	case PROP_MESSAGE:
+		purple_authorization_request_set_message(request,
+		                                         g_value_get_string(value));
+		break;
+	case PROP_ADD:
+		purple_authorization_request_set_add(request,
+		                                     g_value_get_boolean(value));
+		break;
+	default:
+		G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
+		break;
 	}
 }
 
@@ -189,6 +189,69 @@
 	obj_class->finalize = purple_authorization_request_finalize;
 
 	/**
+	 * PurpleAuthorizationRequest:account:
+	 *
+	 * The account that this authorization request is for.
+	 *
+	 * Since: 3.0
+	 */
+	properties[PROP_ACCOUNT] = g_param_spec_object(
+		"account", NULL, NULL,
+		PURPLE_TYPE_ACCOUNT,
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
+
+	/**
+	 * PurpleAuthorizationRequest:username:
+	 *
+	 * The username of the remote user that is requesting authorization.
+	 *
+	 * Since: 3.0
+	 */
+	properties[PROP_USERNAME] = g_param_spec_string(
+		"username", NULL, NULL,
+		NULL,
+		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
+
+	/**
+	 * PurpleAuthorizationRequest:alias:
+	 *
+	 * The alias of the remote user that is requesting authorization.
+	 *
+	 * Since: 3.0
+	 */
+	properties[PROP_ALIAS] = g_param_spec_string(
+		"alias", NULL, NULL,
+		NULL,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+
+	/**
+	 * PurpleAuthorizationRequest:message:
+	 *
+	 * The optional message sent from the remote user.
+	 *
+	 * Since: 3.0
+	 */
+	properties[PROP_MESSAGE] = g_param_spec_string(
+		"message", NULL, NULL,
+		NULL,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+
+	/**
+	 * PurpleAuthorizationRequest:add:
+	 *
+	 * Whether or not the user interface should ask the end user to add the
+	 * remote user after accepting the end user's friend request.
+	 *
+	 * Since: 3.0
+	 */
+	properties[PROP_ADD] = g_param_spec_boolean(
+		"add", NULL, NULL,
+		FALSE,
+		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
+
+	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
+
+	/**
 	 * PurpleAuthorizationRequest::accepted:
 	 * @request: The [class@AuthorizationRequest] instance.
 	 *
@@ -229,81 +292,13 @@
 		G_TYPE_NONE,
 		1,
 		G_TYPE_STRING);
-
-	/**
-	 * PurpleAuthorizationRequest:account:
-	 *
-	 * The account that this authorization request is for.
-	 *
-	 * Since: 3.0
-	 */
-	properties[PROP_ACCOUNT] = g_param_spec_object(
-		"account", "account",
-		"The account for this authorization request",
-		PURPLE_TYPE_ACCOUNT,
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
-
-	/**
-	 * PurpleAuthorizationRequest:username:
-	 *
-	 * The username of the remote user that is requesting authorization.
-	 *
-	 * Since: 3.0
-	 */
-	properties[PROP_USERNAME] = g_param_spec_string(
-		"username", "username",
-		"The username of the remote user that is requesting authorization",
-		NULL,
-		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
-
-	/**
-	 * PurpleAuthorizationRequest:alias:
-	 *
-	 * The alias of the remote user that is requesting authorization.
-	 *
-	 * Since: 3.0
-	 */
-	properties[PROP_ALIAS] = g_param_spec_string(
-		"alias", "alias",
-		"The alias of the remote user that is requesting authorization",
-		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
-
-	/**
-	 * PurpleAuthorizationRequest:message:
-	 *
-	 * The optional message sent from the remote user.
-	 *
-	 * Since: 3.0
-	 */
-	properties[PROP_MESSAGE] = g_param_spec_string(
-		"message", "message",
-		"The optional message sent by the remote user",
-		NULL,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
-
-	/**
-	 * PurpleAuthorizationRequest:add:
-	 *
-	 * Whether or not the user interface should ask the end user to add the
-	 * remote user after accepting the end user's friend request.
-	 *
-	 * Since: 3.0
-	 */
-	properties[PROP_ADD] = g_param_spec_boolean(
-		"add", "add",
-		"Whether or not to add the remote user back",
-		FALSE,
-		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
-
-	g_object_class_install_properties(obj_class, N_PROPERTIES, properties);
 }
 
 /******************************************************************************
  * Public API
  *****************************************************************************/
 PurpleAuthorizationRequest *
-purple_authorization_request_new(PurpleAccount *account, const gchar *username)
+purple_authorization_request_new(PurpleAccount *account, const char *username)
 {
 	g_return_val_if_fail(PURPLE_IS_ACCOUNT(account), NULL);
 	g_return_val_if_fail(username != NULL, NULL);
@@ -322,7 +317,7 @@
 	return request->account;
 }
 
-const gchar *
+const char *
 purple_authorization_request_get_username(PurpleAuthorizationRequest *request)
 {
 	g_return_val_if_fail(PURPLE_IS_AUTHORIZATION_REQUEST(request), NULL);
@@ -332,7 +327,7 @@
 
 void
 purple_authorization_request_set_alias(PurpleAuthorizationRequest *request,
-                                       const gchar *alias)
+                                       const char *alias)
 {
 	g_return_if_fail(PURPLE_IS_AUTHORIZATION_REQUEST(request));
 
@@ -341,7 +336,7 @@
 	}
 }
 
-const gchar *
+const char *
 purple_authorization_request_get_alias(PurpleAuthorizationRequest *request) {
 	g_return_val_if_fail(PURPLE_IS_AUTHORIZATION_REQUEST(request), NULL);
 
@@ -350,7 +345,7 @@
 
 void
 purple_authorization_request_set_message(PurpleAuthorizationRequest *request,
-                                         const gchar *message)
+                                         const char *message)
 {
 	g_return_if_fail(PURPLE_IS_AUTHORIZATION_REQUEST(request));
 
@@ -359,7 +354,7 @@
 	}
 }
 
-const gchar *
+const char *
 purple_authorization_request_get_message(PurpleAuthorizationRequest *request) {
 	g_return_val_if_fail(PURPLE_IS_AUTHORIZATION_REQUEST(request), NULL);
 
@@ -398,7 +393,7 @@
 
 void
 purple_authorization_request_deny(PurpleAuthorizationRequest *request,
-                                  const gchar *message)
+                                  const char *message)
 {
 	g_return_if_fail(PURPLE_IS_AUTHORIZATION_REQUEST(request));
 
diff --git a/libpurple/purpleavatar.c b/libpurple/purpleavatar.c
--- a/libpurple/purpleavatar.c
+++ b/libpurple/purpleavatar.c
@@ -46,8 +46,6 @@
 };
 static GParamSpec *properties[N_PROPERTIES] = {NULL, };
 
-G_DEFINE_FINAL_TYPE(PurpleAvatar, purple_avatar, G_TYPE_OBJECT)
-
 /******************************************************************************
  * Helpers
  *****************************************************************************/
@@ -89,6 +87,8 @@
 /******************************************************************************
  * GObject Implementation
  *****************************************************************************/
+G_DEFINE_FINAL_TYPE(PurpleAvatar, purple_avatar, G_TYPE_OBJECT)
+
 static void
 purple_avatar_get_property(GObject *obj, guint param_id, GValue *value,
                            GParamSpec *pspec)
@@ -96,24 +96,24 @@
 	PurpleAvatar *avatar = PURPLE_AVATAR(obj);
 
 	switch(param_id) {
-		case PROP_FILENAME:
-			g_value_set_string(value, purple_avatar_get_filename(avatar));
-			break;
-		case PROP_PIXBUF:
-			g_value_set_object(value, purple_avatar_get_pixbuf(avatar));
-			break;
-		case PROP_ANIMATED:
-			g_value_set_boolean(value, purple_avatar_get_animated(avatar));
-			break;
-		case PROP_ANIMATION:
-			g_value_set_object(value, purple_avatar_get_animation(avatar));
-			break;
-		case PROP_TAGS:
-			g_value_set_object(value, purple_avatar_get_tags(avatar));
-			break;
-		default:
-			G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
-			break;
+	case PROP_FILENAME:
+		g_value_set_string(value, purple_avatar_get_filename(avatar));
+		break;
+	case PROP_PIXBUF:
+		g_value_set_object(value, purple_avatar_get_pixbuf(avatar));
+		break;
+	case PROP_ANIMATED:
+		g_value_set_boolean(value, purple_avatar_get_animated(avatar));
+		break;
+	case PROP_ANIMATION:
+		g_value_set_object(value, purple_avatar_get_animation(avatar));
+		break;
+	case PROP_TAGS:
+		g_value_set_object(value, purple_avatar_get_tags(avatar));
+		break;
+	default:
+		G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
+		break;
 	}
 }
 
@@ -124,12 +124,12 @@
 	PurpleAvatar *avatar = PURPLE_AVATAR(obj);
 
 	switch(param_id) {
-		case PROP_FILENAME:
-			purple_avatar_set_filename(avatar, g_value_get_string(value));
-			break;
-		default:
-			G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
-			break;
+	case PROP_FILENAME:
+		purple_avatar_set_filename(avatar, g_value_get_string(value));
+		break;
+	default:
+		G_OBJECT_WARN_INVALID_PROPERTY_ID(obj, param_id, pspec);
+		break;
 	}
 }
 
@@ -166,8 +166,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_FILENAME] = g_param_spec_string(
-		"filename", "filename",
-		"The filename to save/load the avatar from.",
+		"filename", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -181,8 +180,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_PIXBUF] = g_param_spec_object(
-		"pixbuf", "pixbuf",
-		"The pixbuf of the avatar.",
+		"pixbuf", NULL, NULL,
 		GDK_TYPE_PIXBUF,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
@@ -194,8 +192,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_ANIMATED] = g_param_spec_boolean(
-		"animated", "animated",
-		"Whether or not the avatar is animated.",
+		"animated", NULL, NULL,
 		FALSE,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
@@ -208,8 +205,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_ANIMATION] = g_param_spec_object(
-		"animation", "animation",
-		"The animation of the avatar.",
+		"animation", NULL, NULL,
 		GDK_TYPE_PIXBUF_ANIMATION,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
@@ -221,8 +217,7 @@
 	 * Since: 3.0
 	 */
 	properties[PROP_TAGS] = g_param_spec_object(
-		"tags", "tags",
-		"The tags for the avatar.",
+		"tags", NULL, NULL,
 		PURPLE_TYPE_TAGS,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
